import { LoggerLevelEnum } from './LoggerLevelEnum';
export interface ILoggerConfig {
    debugLevelPath?: string;
    infoLevelPath?: string;
    logLevelPath?: string;
    warnLevelPath?: string;
    errorLevelPath?: string;
    /**
     * https://tools.ietf.org/html/rfc5424
     *
     * 0  Emergency: system is unusable
     * 1  Alert: action must be taken immediately
     * 2  Critical: critical conditions
     * 3  Error: error conditions
     * 4  Warning: warning conditions
     * 5  Notice: normal but significant condition
     * 6  Informational: informational messages
     * 7  Debug: debug-level messages
     */
    logLevel: LoggerLevelEnum;
}
